Bug 69950 - Python don't compile if kernel not have suport to IPV6.
Summary: Python don't compile if kernel not have suport to IPV6.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hye-Shik Chang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-03 15:40 UTC by Marcus Grando
Modified: 2004-08-07 08:00 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Grando 2004-08-03 15:40:24 UTC
Python don't compile if kernel not have suport to IPV6

Fix: 

PORTNAME=      python
 PORTVERSION=   2.3.4
-PORTREVISION?= 1
+PORTREVISION?= 2
 CATEGORIES=    lang python ipv6
 MASTER_SITES=  ${PYTHON_MASTER_SITES}
 MASTER_SITE_SUBDIR=    ${PYTHON_MASTER_SITE_SUBDIR}
@@ -41,7 +41,8 @@
 OPTIONS=       THREADS "Enable thread support" on \
                HUGE_STACK_SIZE "Use a larger thread stack" off \
                UCS4 "Use UCS4 for unicode support" on \
-               PYMALLOC "Uses python's internal malloc" on
+               PYMALLOC "Uses python's internal malloc" on \
+               IPV6 "Uses IPV6 in python" on

 .include <bsd.port.pre.mk>

@@ -96,11 +97,15 @@
 CONFIGURE_ARGS+=       --with-libs='-lxpg4'
 .endif

+.if !defined(WITHOUT_IPV6)
 .if ${OSVERSION} >= 400014
 CONFIGURE_ARGS+= --enable-ipv6
 .else
 CONFIGURE_ARGS+= --disable-ipv6
-.endif
+.endif # ${OSVERSION} >= 400014
+.else
+CONFIGURE_ARGS+= --disable-ipv6
+.endif # !defined(WITHOUT_IPV6)

 .if ${OSVERSION} >= 500000
 PLATFORMS=plat-freebsd2 plat-freebsd3 plat-freebsd4--K6uRIid5PMXzzgwcMM1NJNconiTpMoS4qXrHBtnBS4kXFGec
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ruN python.old/Makefile python/Makefile
--- python.old/Makefile Tue Aug  3 11:20:45 2004
+++ python/Makefile     Tue Aug  3 11:29:08 2004
@@ -7,7 +7,7 @@
How-To-Repeat: Disable IPV6 suport of kernel, reboot and try compile python.
Comment 1 Kirill Ponomarev freebsd_committer 2004-08-04 11:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perky

Over to maintainer.
Comment 2 Hye-Shik Chang freebsd_committer 2004-08-07 07:35:58 UTC
State Changed
From-To: open->closed

Committed. Thank you!